@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          SecondAxis.java
@ rem - 
@ rem -   <START_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM 
@ rem -                    
@ rem -   5724-B41         
@ rem -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
@ rem -                    
@ rem -   US Government Users Restricted Rights - Use, duplication or 
@ rem -   disclosure restricted by GSA ADP Schedule Contract with 
@ rem -   IBM Corp.        
@ rem -   <END_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get MA0R_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@echo off
echo Registering dotNet classes.  This should only need to be done once.
rem - Clean up and refresh the MQSOAP Global Assembly Cache details
rem - Output logged in ma0r\bin\RegisterDotNet.log

rem JS: Changed from %windir% to %SystemRoot%
rem     windir is not defined if only using the .NET redistributabe
rem
set netdir=%SystemRoot%\Microsoft.NET\Framework\v1.0.3705

rem - run in own directory so we can be sure to get the correct files
pushd %~dp0

echo Log from RegisterDotNET.bat run on %DATE% at %TIME% >RegisterDotNET.log
set registerDotNetErr=

call :try %netdir%\gacutil /u MQSOAPHost 
call :try %netdir%\gacutil /u MQSOAP     
call :try %netdir%\gacutil /u MQSOAPWSDL                            

call :try %netdir%\gacutil /i MQSOAP.dll      
call :try %netdir%\gacutil /i MQSOAPHost.exe  
call :try %netdir%\gacutil /i MQSOAPWSDL.exe  
popd
if not "%registerDotNeterr%"=="" exit /b 1
goto :EOF

:try
echo Trying command: %* >>RegisterDotNET.log
%* >>RegisterDotNET.log 2>>&1
if %errorlevel%==0 goto :EOF
echo Command %1 failed; errorlevel = %errorlevel% >>RegisterDotNET.log 
echo Command %1 failed; errorlevel = %errorlevel%, see RegisterDotNET.log for details.
set registerDotNeterr=1

