@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          SecondAxis.java
@ rem - 
@ rem -   <START_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM 
@ rem -                    
@ rem -   5724-B41         
@ rem -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
@ rem -                    
@ rem -   US Government Users Restricted Rights - Use, duplication or 
@ rem -   disclosure restricted by GSA ADP Schedule Contract with 
@ rem -   IBM Corp.        
@ rem -   <END_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get MA0R_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
rem - file to build sample clients using the generated helpers

setlocal
call ..\..\..\bin\setcp
rem - pick up the generated and compiled Java proxies
set classpath=%classpath%;..\helpers\classes

rem - prepare directory if necessary
md classes 2>/nul

rem - build test, using classes directory for java
call quietOK javac -d classes *.java 
call quietOK csc /lib:..\..\..\bin /r:MQSOAP.dll ..\helpers\*.cs *.cs
call quietOK vbc /libpath:..\..\..\bin /r:MQSOAP.dll /r:System.Web.Services.dll /r:System.XML.dll /r:System.dll *.vb ..\helpers\*.vb 

endlocal
